Bug 26421 - Use Bootstrap screen reader text class for shelf browser messages
Summary: Use Bootstrap screen reader text class for shelf browser messages
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
: 26446 (view as bug list)
Depends on: 26039
Blocks:
  Show dependency treegraph
 
Reported: 2020-09-09 15:56 UTC by Owen Leonard
Modified: 2020-10-16 15:06 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Text to go in the release notes:
Version(s) released in:
20.11.00


Attachments
Bug 26421: Use Bootstrap screen reader text class for shelf browser messages (3.95 KB, patch)
2020-09-09 16:56 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 26421: Use Bootstrap screen reader text class for shelf browser messages (4.00 KB, patch)
2020-09-14 13:54 UTC, ByWater Sandboxes
Details | Diff | Splinter Review
Bug 26421: Use Bootstrap screen reader text class for shelf browser messages (4.06 KB, patch)
2020-09-15 18:57 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2020-09-09 15:56:31 UTC
Bug 26039 added some text intended only for screen reader users. Since the Bootstrap 4 upgrade this text is shown because the CSS class is obsolete. I propose to replace the use of the "hidden" class with "sr-only." https://getbootstrap.com/docs/4.5/utilities/screen-readers/
Comment 1 Owen Leonard 2020-09-09 16:56:00 UTC
Created attachment 109829 [details] [review]
Bug 26421: Use Bootstrap screen reader text class for shelf browser messages

This patch udpates the markup added by Bug 26039, replacing the "hidden"
class, which is no longer functional with Bootstrap 4, with "sr-only," a
class designed specifically for screen reader text.

The patch also corrects a typo, "shelfbrowers" -> "shelf browser"

To test, apply the patch and make sure the OPACShelfBrowser system
preference is enabled.

View the detail page for a bibliographic record with items. In the
holdings table, you should see links labeled "Browse shelf."

When you open the shelf browser there should be a link at the top that
reads "Close shelf browser."

If you have access to a screen reader, test that the hidden text is
announced by the reader. "Browse shelf (Opens below)" and "Close shelf
browser (Hides shelf browser)."
Comment 2 Owen Leonard 2020-09-13 00:45:12 UTC
*** Bug 26446 has been marked as a duplicate of this bug. ***
Comment 3 ByWater Sandboxes 2020-09-14 13:54:10 UTC
Created attachment 110058 [details] [review]
Bug 26421: Use Bootstrap screen reader text class for shelf browser messages

This patch udpates the markup added by Bug 26039, replacing the "hidden"
class, which is no longer functional with Bootstrap 4, with "sr-only," a
class designed specifically for screen reader text.

The patch also corrects a typo, "shelfbrowers" -> "shelf browser"

To test, apply the patch and make sure the OPACShelfBrowser system
preference is enabled.

View the detail page for a bibliographic record with items. In the
holdings table, you should see links labeled "Browse shelf."

When you open the shelf browser there should be a link at the top that
reads "Close shelf browser."

If you have access to a screen reader, test that the hidden text is
announced by the reader. "Browse shelf (Opens below)" and "Close shelf
browser (Hides shelf browser)."

Signed-off-by: Stina Hallin <stina.hallin@ub.lu.se>
Comment 4 Stina Hallin 2020-09-14 13:56:32 UTC
Screen reader announced the text as expected.
Comment 5 Katrin Fischer 2020-09-15 18:57:24 UTC
Created attachment 110117 [details] [review]
Bug 26421: Use Bootstrap screen reader text class for shelf browser messages

This patch udpates the markup added by Bug 26039, replacing the "hidden"
class, which is no longer functional with Bootstrap 4, with "sr-only," a
class designed specifically for screen reader text.

The patch also corrects a typo, "shelfbrowers" -> "shelf browser"

To test, apply the patch and make sure the OPACShelfBrowser system
preference is enabled.

View the detail page for a bibliographic record with items. In the
holdings table, you should see links labeled "Browse shelf."

When you open the shelf browser there should be a link at the top that
reads "Close shelf browser."

If you have access to a screen reader, test that the hidden text is
announced by the reader. "Browse shelf (Opens below)" and "Close shelf
browser (Hides shelf browser)."

Signed-off-by: Stina Hallin <stina.hallin@ub.lu.se>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 6 Jonathan Druart 2020-09-18 09:54:20 UTC
Pushed to master for 20.11, thanks to everybody involved!
Comment 7 Lucas Gass 2020-10-16 15:06:28 UTC
missing dependencies for 20.05.x, no backport